## gmsh 2.14.0+dfsg1

=== CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# do not warn about non-definition of WIN32 on cygwin
set(CMAKE_LEGACY_CYGWIN_WIN32 0)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif(DEFINED CMAKE_BUILD_TYPE)

project(gmsh CXX C)

# this variable controls the default value of the options which are normally set
# to ON (useful if you want to configure a minimal version of Gmsh: e.g. "cmake
# -DDEFAULT=0 -DENABLE_POST=1 -DENABLE_PARSER=1")
set(DEFAULT ON CACHE INTERNAL "Default value for enabled-by-default options")

macro(opt OPTION HELP VALUE)
  option(ENABLE_${OPTION} ${HELP} ${VALUE})
  set(OPT_TEXI "${OPT_TEXI}\n@item ENABLE_${OPTION}\n${HELP} (default: ${VALUE})")
endmacro(opt)

opt(3M "Enable proprietary 3M extension" OFF)
opt(ACIS "Enable ACIS geometrical models (experimental)" ${DEFAULT})
opt(ANN "Enable ANN (used for fast point search in mesh/post)" ${DEFAULT})
opt(BAMG "Enable Bamg 2D anisotropic mesh generator" ${DEFAULT})
opt(BFGS "Enable BFGS (used by some mesh optimizers)" ${DEFAULT})
opt(BLAS_LAPACK "Enable BLAS/Lapack for linear algebra (required for meshing)" ON)
opt(BLOSSOM "Enable Blossom algorithm (needed for full quad meshing)" ${DEFAULT})
opt(BUILD_LIB "Enable 'lib' target for building static Gmsh library" OFF)
opt(BUILD_SHARED "Enable 'shared' target for building shared Gmsh library" OFF)
opt(BUILD_DYNAMIC "Enable dynamic Gmsh executable (linked with shared lib)" OFF)
opt(BUILD_ANDROID "Enable Android NDK library target (experimental)" OFF)
opt(BUILD_IOS "Enable iOS (ARM) library target (experimental)" OFF)
opt(CGNS "Enable CGNS mesh export (experimental)" OFF)
opt(CAIRO "Enable Cairo to render fonts (experimental)" ${DEFAULT})
opt(CHACO "Enable Chaco mesh partitioner (alternative to Metis)" ${DEFAULT})
opt(COMPRESSED_IO "Enable compressed (gzip) input/output using zlib" OFF)
opt(DINTEGRATION "Enable discrete integration (needed for levelsets)" ${DEFAULT})
opt(FLTK "Enable FLTK graphical user interface (requires mesh/post)" ${DEFAULT})
opt(FOURIER_MODEL "Enable Fourier geometrical models (experimental)" OFF)
opt(GETDP "Enable GetDP solver (as a directly linked library)" ${DEFAULT})
opt(GMM "Enable GMM linear solvers (simple alternative to PETSc)" ${DEFAULT})
opt(GMP "Enable GMP for Kbipack (advanced)" ON)
opt(GRAPHICS "Enable building graphics lib even without GUI (advanced)" OFF)
opt(KBIPACK "Enable Kbipack (neeeded by homology solver)" ${DEFAULT})
opt(MATHEX "Enable math expression parser (used by plugins and options)" ${DEFAULT})
opt(MED "Enable MED mesh and post file formats" ${DEFAULT})
opt(MESH "Enable mesh module (required by GUI)" ${DEFAULT})
opt(METIS "Enable Metis mesh partitioner" ${DEFAULT})
opt(MMG3D "Enable MMG3D 3D anisotropic mesh refinement" ${DEFAULT})
opt(MPEG_ENCODE "Enable built-in MPEG movie encoder" ${DEFAULT})
opt(MPI "Enable MPI (mostly for parser and solver - mesh generation is sequential)" OFF)
opt(MSVC_STATIC_RUNTIME "Enable static Visual C++ runtime" OFF)
opt(MUMPS "Enable MUMPS sparse direct linear solver" OFF)
opt(NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ${DEFAULT})
opt(NETGEN "Enable Netgen 3D frontal mesh generator" ${DEFAULT})
opt(NUMPY "Enable conversion between fullMatrix and numpy array (requires SWIG)" OFF)
opt(PETSC4PY "Enable petsc4py wrappers for petsc matrices" ON)
opt(OCC "Enable Open CASCADE geometrical models" ${DEFAULT})
opt(ONELAB "Enable ONELAB solver interface" ${DEFAULT})
opt(ONELAB_METAMODEL "Enable ONELAB metamodels (experimental)" ${DEFAULT})
opt(OPENMP "Enable OpenMP (experimental)" OFF)
opt(OPTHOM "Enable high-order mesh optimization tools" ${DEFAULT})
opt(OS_SPECIFIC_INSTALL "Enable OS-specific (e.g. app bundle) installation" ${DEFAULT})
opt(OSMESA "Enable OSMesa for offscreen rendering (experimental)" OFF)
opt(PARSER "Enable GEO file parser (required for .geo/.pos files)" ${DEFAULT})
opt(PETSC "Enable PETSc linear solvers (required for SLEPc)" ${DEFAULT})
opt(PLUGINS "Enable post-processing plugins" ${DEFAULT})
opt(POST "Enable post-processing module (required by GUI)" ${DEFAULT})
opt(POPPLER "Enable Poppler for displaying PDF documents (experimental)" OFF)
opt(QT "Enable dummy QT graphical interface proof-of-concept (experimental)" OFF)
opt(REVOROPT "Enable Revoropt (used for CVT remeshing)" OFF)
opt(SALOME "Enable Salome routines for CAD healing" ${DEFAULT})
opt(SGEOM "Enable SGEOM interface to OCC (experimental)" OFF)
opt(SLEPC "Enable SLEPc eigensolvers (required for conformal compounds)" ${DEFAULT})
opt(SOLVER "Enable built-in finite element solvers (required for compounds)" ${DEFAULT})
opt(TAUCS "Enable Taucs linear solver" ${DEFAULT})
opt(TCMALLOC "Enable libtcmalloc, a fast malloc implementation but that does not release memory" OFF)
opt(TETGEN "Enable Tetgen 3D initial mesh generator" ${DEFAULT})
opt(VORO3D "Enable Voro3D (for hex meshing, experimental)" ${DEFAULT})
opt(WRAP_JAVA "Enable generation of Java wrappers (experimental)" OFF)
opt(WRAP_PYTHON "Enable generation of Python wrappers" OFF)
opt(ZIPPER "Enable Zip file compression/decompression" OFF)

set(GMSH_MAJOR_VERSION 2)
set(GMSH_MINOR_VERSION 14)
set(GMSH_PATCH_VERSION 0)
set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")

set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
set(GMSH_VERSION "${GMSH_VERSION}.${GMSH_PATCH_VERSION}${GMSH_EXTRA_VERSION}")
set(GMSH_SHORT_LICENSE "GNU General Public License")

set(GMSH_API
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshConfig.h
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshVersion.h
  Common/Gmsh.h Common/Context.h Common/GmshDefines.h Common/GmshMessage.h
    Common/VertexArray.h Common/Octree.h Common/OctreeInternals.h
    Common/OS.h Common/StringUtils.h Common/OpenFile.h
    Common/onelab.h Common/GmshSocket.h Common/onelabUtils.h Common/Options.h
  Numeric/Numeric.h Numeric/GaussIntegration.h Numeric/polynomialBasis.h
    Numeric/JacobianBasis.h Numeric/MetricBasis.h Numeric/bezierBasis.h Numeric/fullMatrix.h
    Numeric/FuncSpaceData.h
    Numeric/simpleFunction.h Numeric/cartesian.h Numeric/ElementType.h
    Numeric/BasisFactory.h Numeric/CondNumBasis.h
  Geo/GModel.h Geo/GEntity.h Geo/GPoint.h Geo/GVertex.h Geo/GEdge.h
    Geo/GFace.h Geo/GRegion.h Geo/GEdgeLoop.h Geo/GEdgeCompound.h
    Geo/GFaceCompound.h Geo/GRegionCompound.h Geo/GRbf.h Geo/MVertex.h
    Geo/MVertexBoundaryLayerData.h Geo/MEdge.h
    Geo/MFace.h Geo/MElement.h Geo/MElementOctree.h Geo/MPoint.h Geo/MLine.h
    Geo/MTriangle.h Geo/MQuadrangle.h Geo/MTetrahedron.h Geo/MHexahedron.h
    Geo/MPrism.h Geo/MPyramid.h Geo/MTrihedron.h Geo/MElementCut.h Geo/MElementOctree.h
    Geo/discreteVertex.h Geo/discreteEdge.h Geo/discreteFace.h Geo/discreteRegion.h
    Geo/SPoint2.h Geo/SPoint3.h Geo/SVector3.h Geo/STensor3.h Geo/SBoundingBox3d.h
    Geo/Pair.h Geo/Range.h Geo/SOrientedBoundingBox.h
    Geo/CellComplex.h Geo/ChainComplex.h Geo/Cell.h Geo/Homology.h Geo/Chain.h
    Geo/GenericVertex.h Geo/GenericEdge.h Geo/GenericFace.h Geo/GenericRegion.h
    Geo/partitionEdge.h Geo/CGNSOptions.h Geo/gmshLevelset.h Geo/boundaryLayersData.h
  Mesh/meshGEdge.h Mesh/meshGFace.h Mesh/meshGFaceOptimize.h
    Mesh/meshGFaceElliptic.h Mesh/meshPartition.h Mesh/meshGFaceDelaunayInsertion.h
    Mesh/simple3D.h Mesh/meshPartitionOptions.h Mesh/directions3D.h Mesh/yamakawa.h
    Mesh/Voronoi3D.h Mesh/Levy3D.h Mesh/periodical.h Mesh/meshMetric.h Mesh/ThinLayer.h
  Numeric/mathEvaluator.h
  Solver/dofManager.h Solver/femTerm.h Solver/laplaceTerm.h Solver/elasticityTerm.h
    Solver/crossConfTerm.h Solver/orthogonalTerm.h
    Solver/linearSystem.h Solver/linearSystemGMM.h Solver/linearSystemCSR.h
    Solver/linearSystemFull.h Solver/elasticitySolver.h Solver/sparsityPattern.h
    Solver/groupOfElements.h Solver/linearSystemPETSc.h Solver/linearSystemMUMPS.h
    Solver/thermicSolver.h
  Post/PView.h Post/PViewData.h Plugin/PluginManager.h Post/OctreePost.h
  Post/PViewDataList.h Post/PViewDataGModel.h Post/PViewOptions.h Post/ColorTable.h
   Numeric/nodalBasis.h Post/adaptiveData.h
  Graphics/drawContext.h
  contrib/kbipack/gmp_normal_form.h contrib/kbipack/gmp_matrix.h
    contrib/kbipack/gmp_blas.h contrib/kbipack/mpz.h
  contrib/DiscreteIntegration/Integration3D.h
  contrib/HighOrderMeshOptimizer/OptHOM.h contrib/HighOrderMeshOptimizer/OptHomMesh.h
  contrib/HighOrderMeshOptimizer/OptHomRun.h contrib/HighOrderMeshOptimizer/ParamCoord.h
  contrib/HighOrderMeshOptimizer/OptHomFastCurving.h contrib/HighOrderMeshOptimizer/SuperEl.h
  contrib/HighOrderMeshOptimizer/OptHomIntegralBoundaryDist.h
  contrib/HighOrderMeshOptimizer/CADDistances.h
  contrib/HighOrderMeshOptimizer/OptHomObjContribScaledJac.h
  contrib/HighOrderMeshOptimizer/OptHomObjContribMetricMin.h
  contrib/HighOrderMeshOptimizer/OptHomObjContribCADDist.h
  contrib/MeshOptimizer/MeshOptPatch.h contrib/MeshOptimizer/MeshOpt.h
  contrib/MeshOptimizer/MeshOptCommon.h contrib/MeshOptimizer/MeshOptimizer.h
  contrib/MeshOptimizer/MeshOptObjContribFunc.h contrib/MeshOptimizer/MeshOptObjContrib.h
  contrib/MeshOptimizer/MeshOptObjContribScaledNodeDispSq.h
  contrib/MeshOptimizer/MeshOptObjectiveFunction.h contrib/MeshOptimizer/MeshOptVertexCoord.h
  contrib/MeshQualityOptimizer/MeshQualityObjContribIdealJac.h
  contrib/MeshQualityOptimizer/MeshQualityObjContribInvCond.h
  contrib/MeshQualityOptimizer/MeshQualityOptimizer.h
  contrib/MathEx/mathex.h)

get_property(IAMCHILD DIRECTORY  PROPERTY PARENT_DIRECTORY)
if(IAMCHILD)
  set(GMSH_API ${GMSH_API} PARENT_SCOPE)
endif(IAMCHILD)

execute_process(COMMAND date "+%Y%m%d" OUTPUT_VARIABLE DATE
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND hostname OUTPUT_VARIABLE HOSTNAME
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND whoami OUTPUT_VARIABLE PACKAGER
                OUTPUT_STRIP_TRAILING_WHITESPACE)

if(NOT DATE)
  set(DATE "unknown")
endif(NOT DATE)
set(GMSH_DATE "${DATE}")

if(NOT HOSTNAME)
  set(HOSTNAME "unknown")
endif(NOT HOSTNAME)
set(GMSH_HOST "${HOSTNAME}")

if(NOT PACKAGER)
  set(PACKAGER "unknown")
endif(NOT PACKAGER)
set(GMSH_PACKAGER "${PACKAGER}")

if(APPLE)
  set(GMSH_OS "MacOSX")
elseif(CYGWIN)
  set(GMSH_OS "Windows")
else(APPLE)
  set(GMSH_OS "${CMAKE_SYSTEM_NAME}")
endif(APPLE)

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCXXCompilerFlag)

if(ENABLE_WRAP_PYTHON AND NOT ENABLE_BUILD_SHARED)
  set(ENABLE_BUILD_DYNAMIC ON)
endif(ENABLE_WRAP_PYTHON AND NOT ENABLE_BUILD_SHARED)

if(MSVC)
  # remove annoying warning about bool/int cast performance
  set(GMSH_CONFIG_PRAGMAS "#pragma warning(disable:4800 4244 4267)")
  if(ENABLE_MSVC_STATIC_RUNTIME)
    foreach(VAR
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${VAR} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${VAR} "${${VAR}}")
      endif(${VAR} MATCHES "/MD")
    endforeach(VAR)
  endif(ENABLE_MSVC_STATIC_RUNTIME)
  if(ENABLE_BUILD_DYNAMIC OR ENABLE_BUILD_SHARED)
    # automatically export .def file with all symbols (requires CMake 3.4);
    # depending on the compiling options this might lead to more than 64k export
    # symbols; just trim the .def file to keep the ones you need
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
  endif(ENABLE_BUILD_DYNAMIC OR ENABLE_BUILD_SHARED)

=== Common/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC  
  Gmsh.cpp
    GmshMessage.cpp
  gmshPopplerWrapper.cpp
  Context.cpp
  Options.cpp
  CommandLine.cpp
  OS.cpp
  OpenFile.cpp
  CreateFile.cpp
  VertexArray.cpp
  SmoothData.cpp
  Octree.cpp 
    OctreeInternals.cpp
  StringUtils.cpp
  ListUtils.cpp
  TreeUtils.cpp avl.cpp
  MallocUtils.cpp
  onelabUtils.cpp
  GamePad.cpp
  GmshRemote.cpp
)

if(ENABLE_ONELAB AND NOT ENABLE_ONELAB2)
  set(SRC
    ${SRC}
    gmshLocalNetworkClient.cpp)
endif(ENABLE_ONELAB AND NOT ENABLE_ONELAB2)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Common "${SRC};${HDR}")

=== Geo/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  boundaryLayersData.cpp
  closestPoint.cpp
  intersectCurveSurface.cpp
  GEntity.cpp STensor3.cpp
    GVertex.cpp GEdge.cpp GFace.cpp GRegion.cpp
    GEdgeLoop.cpp GEdgeCompound.cpp GFaceCompound.cpp
  GRegionCompound.cpp GRbf.cpp
    gmshVertex.cpp gmshEdge.cpp gmshFace.cpp gmshRegion.cpp
   gmshSurface.cpp
   OCCVertex.cpp OCCEdge.cpp OCCFace.cpp OCCRegion.cpp
   GenericVertex.cpp GenericEdge.cpp GenericFace.cpp GenericRegion.cpp
    discreteEdge.cpp discreteFace.cpp discreteDiskFace.cpp discreteRegion.cpp 
    fourierEdge.cpp fourierFace.cpp fourierProjectionFace.cpp
  ACISVertex.cpp
  ACISEdge.cpp
  ACISFace.cpp
  GModel.cpp
    GModelVertexArrays.cpp
    GModelFactory.cpp
    GModelIO_GEO.cpp GModelIO_ACIS.cpp GModelIO_OCC.cpp GModelIO_TOCHNOG.cpp
      GModelIO_Fourier.cpp OCC_Connect.cpp
    GModelIO_MSH.cpp GModelIO_MSH2.cpp GModelIO_VTK.cpp GModelIO_POS.cpp 
      GModelIO_CGNS.cpp GModelIO_MED.cpp GModelIO_MESH.cpp GModelIO_STL.cpp 
      GModelIO_PLY.cpp GModelIO_VRML.cpp GModelIO_UNV.cpp GModelIO_BDF.cpp 
      GModelIO_IR3.cpp GModelIO_DIFF.cpp GModelIO_GEOM.cpp GModelIO_INP.cpp
      GModelIO_MAIL.cpp GModelIO_P3D.cpp GModelIO_SGEOM.cpp GModelIO_CELUM.cpp
      GModelIO_ACTRAN.cpp GModelIO_SU2.cpp
  ExtrudeParams.cpp
  Geo.cpp
  GeoStringInterface.cpp GeoInterpolation.cpp
  gmshLevelset.cpp
  findLinks.cpp
  SOrientedBoundingBox.cpp
  GeomMeshMatcher.cpp
  MVertex.cpp
  MEdge.cpp
  MFace.cpp
  MElement.cpp MElementOctree.cpp
    MLine.cpp MTriangle.cpp MQuadrangle.cpp MTetrahedron.cpp
    MHexahedron.cpp MPrism.cpp MPyramid.cpp MTrihedron.cpp MElementCut.cpp MSubElement.cpp
  MZone.cpp MZoneBoundary.cpp
  Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp Chain.cpp
  Curvature.cpp
  MVertexBoundaryLayerData.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Geo "${SRC};${HDR}")

=== Parser/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Gmsh.tab.cpp
  Gmsh.yy.cpp
  FunctionManager.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Parser "${SRC};${HDR}")

=== Solver/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  linearSystem.cpp
  linearSystemCSR.cpp
  linearSystemPETSc.cpp
  linearSystemMUMPS.cpp
  dofManager.cpp
  groupOfElements.cpp
  elasticityTerm.cpp
elasticitySolver.cpp
  thermicSolver.cpp
  SElement.cpp
  eigenSolver.cpp
  multiscaleLaplace.cpp
functionSpace.cpp
  filters.cpp
  frameSolver.cpp
  sparsityPattern.cpp
  STensor43.cpp
  STensor33.cpp
  STensor53.cpp
  STensor63.cpp
terms.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Solver "${SRC};${HDR}")

=== contrib/Chaco/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  main/Gmsh_printf.cpp main/Gmsh_exit.cpp
  main/user_params.c main/interface.c 
  submain/balance.c submain/divide.c submain/submain.c 
  input/input_assign.c 
  input/check_input.c input/input.c input/input_geom.c 
  input/input_graph.c input/read_params.c input/reflect_input.c 
  input/read_val.c 
  graph/check_graph.c graph/free_graph.c 
  graph/reformat.c graph/subgraph.c graph/graph_out.c 
  inertial/eigenvec2.c inertial/eigenvec3.c inertial/inertial.c 
  inertial/inertial1d.c inertial/inertial2d.c 
  inertial/inertial3d.c inertial/make_subgeom.c 
  klspiff/buckets.c klspiff/buckets_bi.c klspiff/buckets1.c 
  klspiff/bilistops.c klspiff/coarsen_kl.c klspiff/count_weights.c 
  klspiff/compress_ewgts.c klspiff/kl_init.c klspiff/kl_output.c 
  klspiff/klspiff.c klspiff/make_bndy_list.c 
  klspiff/make_kl_list.c klspiff/nway_kl.c 
  klvspiff/bpm_improve.c klvspiff/bucketsv.c 
  klvspiff/clear_dvals.c klvspiff/coarsen_klv.c 
  klvspiff/countup_vtx_sep.c klvspiff/find_bndy.c klvspiff/flow.c 
  klvspiff/klv_init.c klvspiff/klvspiff.c klvspiff/make_bpgraph.c 
  klvspiff/make_sep_list.c klvspiff/matching.c klvspiff/nway_klv.c 
  klvspiff/flatten.c 
  coarsen/coarsen.c coarsen/interpolate.c coarsen/makefgraph.c 
  coarsen/makeccoords.c 
  coarsen/coarsen1.c coarsen/makev2cv.c 
  coarsen/maxmatch.c coarsen/maxmatch1.c coarsen/maxmatch2.c 
  coarsen/maxmatch3.c coarsen/maxmatch4.c coarsen/maxmatch5.c 
  connect/add_edges.c connect/connected.c connect/find_edges.c 
  eigen/bidir.c eigen/bisect.c eigen/checkeig.c 
  eigen/checkeig_ext.c 
  eigen/checkorth.c eigen/cksturmcnt.c eigen/mkeigvecs.c
  eigen/eigensolve.c eigen/get_extval.c eigen/get_ritzvals.c 
  eigen/lanczos_FO.c eigen/lanczos_SO.c eigen/lanczos_SO_float.c 
  eigen/lanczos_ext.c eigen/lanczos_ext_float.c eigen/lanc_seconds.c
  eigen/lanpause.c eigen/makeorthlnk.c eigen/mkscanlist.c 
  eigen/orthog1.c eigen/orthogonalize.c eigen/orthogvec.c 
  eigen/ql.c eigen/rqi.c eigen/rqi_ext.c eigen/scale_diag.c 
  eigen/scanmax.c eigen/scanmin.c eigen/solistout.c 
  eigen/sorthog.c eigen/splarax.c eigen/sturmcnt.c 
  eigen/Tevec.c eigen/tri_solve.c eigen/warnings.c 
  symmlq/aprod.c symmlq/msolve.c symmlq/pow_dd.c 
  symmlq/symmlq.c symmlq/symmlqblas.c 
  tinvit/tinvit.c tinvit/pythag.c tinvit/epslon.c 
  optimize/determinant.c optimize/func2d.c 
  optimize/func3d.c optimize/opt2d.c optimize/opt3d.c 
  assign/assign.c assign/assign_out.c assign/mapper.c 
  assign/median.c assign/merge_assign.c 
  assign/rec_median.c assign/rotate.c assign/y2x.c 
  bpmatch/checkbp.c bpmatch/inits2d.c bpmatch/inits3d.c 
  bpmatch/genvals2d.c bpmatch/genvals3d.c bpmatch/map2d.c 
  bpmatch/map3d.c bpmatch/movevtxs.c 
  bpmatch/sorts2d.c bpmatch/sorts3d.c 
  refine_map/compute_cube_edata.c refine_map/compute_cube_vdata.c 
  refine_map/refine_cube.c refine_map/update_cube_edata.c 
  refine_map/update_cube_vdata.c refine_map/find_edge_cube.c 
  refine_map/init_cube_edata.c refine_map/compute_mesh_edata.c 
  refine_map/compute_mesh_vdata.c refine_map/find_edge_mesh.c 
  refine_map/init_mesh_edata.c refine_map/refine_mesh.c 
  refine_map/update_mesh_edata.c refine_map/update_mesh_vdata.c 
  refine_map/refine_map.c refine_map/make_comm_graph.c 
  refine_part/refine_part.c refine_part/kl_refine.c 
  refine_part/make_maps_ref.c refine_part/make_terms_ref.c 
  internal/force_internal.c internal/improve_internal.c 
  internal/check_internal.c 
  misc/define_subcubes.c misc/define_submeshes.c 
  misc/divide_procs.c misc/merge_goals.c misc/make_term_props.c 
  misc/count.c misc/countup.c misc/countup_cube.c 
  misc/countup_mesh.c misc/make_subgoal.c 
  misc/find_maxdeg.c misc/make_maps.c misc/make_setlists.c 
  misc/sequence.c misc/perturb.c misc/simple_part.c 
  misc/time_kernels.c misc/timing_chaco.c 
  util/affirm.c util/array_alloc_2D.c util/bit_reverse.c 
  util/checkpnt.c util/cpvec.c util/dot.c 
  util/doubleout.c util/input_int.c util/gray.c 
  util/machine_params.c util/makevwsqrt.c util/mkvec.c util/norm.c 
  util/normalize.c util/mergesort.c 
  util/randomize.c util/smalloc.c util/bail.c 
  util/scadd.c util/seconds.c util/setvec.c util/shell_sort.c 
  util/strout.c util/tri_prod.c util/true_or_false.c 
  util/update.c  util/vecout.c util/vecran.c 
  util/vecscale.c 
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/Chaco "${SRC};${HDR}")

=== contrib/HighOrderMeshOptimizer/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  OptHomMesh.cpp 
  OptHOM.cpp 
  OptHomRun.cpp 
  OptHomIntegralBoundaryDist.cpp
  OptHomCADDist.cpp
  ParamCoord.cpp 
  SuperEl.cpp 
  OptHomElastic.cpp
  OptHomFastCurving.cpp
  OptHomPeriodicity.cpp
  CADDistances.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
append_gmsh_src(contrib/HighOrderMeshOptimizer "${SRC};${HDR}")

=== contrib/bamg/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Mesh2d.cpp 
  bamg-gmsh.cpp 
  bamglib/Mesh2.cpp
  bamglib/MeshGeom.cpp	
  bamglib/MeshRead.cpp	
  bamglib/Metric.cpp	
  bamglib/R2.cpp
  bamglib/MeshDraw.cpp
  bamglib/MeshQuad.cpp	
  bamglib/MeshWrite.cpp	
  bamglib/Meshio.cpp	
  bamglib/QuadTree.cpp	
  bamglib/SetOfE4.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
append_gmsh_src(contrib/bamg "${SRC};${HDR}")

=== contrib/kbipack/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  gmp_normal_form.cpp
  gmp_matrix_io.cpp
  gmp_matrix.cpp
  gmp_blas.cpp
  mpz.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/kbipack "${SRC};${HDR}")

=== utils/api_demos/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif(DEFINED CMAKE_BUILD_TYPE)

project(api_demos CXX)

add_subdirectory(../.. "${CMAKE_CURRENT_BINARY_DIR}/gmsh")

include_directories(../../Common ../../Numeric ../../Geo ../../Mesh 
   ../../Solver ../../Post ../../Plugin ../../Graphics 
   ../../contrib/ANN/include ../../contrib/MathEx ../../contrib/kbipack
   ../../contrib/DiscreteIntegration
   ${GMSH_EXTERNAL_INCLUDE_DIRS}
   ${CMAKE_CURRENT_BINARY_DIR}/gmsh/Common)

if(APPLE)
  set(glut "-framework GLUT")
else(APPLE)
  set(glut "glut")
endif(APPLE)

add_executable(mainVertexArray mainVertexArray.cpp)
target_link_libraries(mainVertexArray shared)

#add_executable(mainAntTweakBar mainAntTweakBar.cpp)
#target_link_libraries(mainAntTweakBar shared AntTweakBar ${glut})

add_executable(mainCartesian mainCartesian.cpp)
target_link_libraries(mainCartesian shared)

add_executable(mainElasticity mainElasticity.cpp)
target_link_libraries(mainElasticity shared)

add_executable(mainGlut mainGlut.cpp)
target_link_libraries(mainGlut shared ${glut})

add_executable(mainHomology mainHomology.cpp)
target_link_libraries(mainHomology shared)

add_executable(mainOcc mainOcc.cpp)
target_link_libraries(mainOcc shared)

add_executable(mainPost mainPost.cpp)
target_link_libraries(mainPost shared)

add_executable(mainSimple mainSimple.cpp)
target_link_libraries(mainSimple shared)

add_executable(mainReadMesh mainReadMesh.cpp)
target_link_libraries(mainReadMesh shared)

add_executable(mainGeoFactory mainGeoFactory.cpp)
target_link_libraries(mainGeoFactory shared)

add_executable(mainRemesh mainRemesh.cpp)
target_link_libraries(mainRemesh shared)

=== debian/changelog ===
gmsh (2.14.0+dfsg1-1) unstable; urgency=medium

  * [40b8734] New upstream version 2.14.0+dfsg1
  * [9e64375] Refresh patches.
  * [54d9893] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2016 22:50:39 +0200

gmsh (2.13.2+dfsg1-1) unstable; urgency=medium

  * [5ea8a90] Imported Upstream version 2.13.2+dfsg1
  * [22e35d5] Refresh patches.
  * [0e252b2] Remove Christophe`s name from uploaders. (Closes: #835004)

 -- Anton Gladky <gladk@debian.org>  Sun, 21 Aug 2016 19:48:15 +0200

=== debian/control ===
Source: gmsh
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: math
Testsuite: autopkgtest
Priority: optional
Build-Depends: chrpath,
               cmake,
               debhelper (>= 9),
               default-jdk,
               freeglut3-dev,
               gfortran,
               javahelper,
               libann-dev,
               libblas-dev,
               libcgns-dev,
               libfltk1.3-dev,
               libgl1-mesa-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               liblapack-dev,
               libmed-dev,
               libmedc-dev,
               liboce-modeling-dev,
               liboce-ocaf-dev,
               liboce-visualization-dev,
               libpng-dev,
               libtet1.5-dev,
               mpi-default-bin,
               mpi-default-dev,
               oce-draw,
               python-dev,
               swig,
               texinfo,
               texlive,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmsh.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gmsh.git
Homepage: http://www.geuz.org/gmsh/
X-Python-Version: current

Package: gmsh
Architecture: any
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh-doc
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

Package: gmsh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains documentation and examples.

Package: libgmsh-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libgmsh2v5 (= ${binary:Version}),
         libjava-gmsh2 (= ${binary:Version}),
         ${misc:Depends}
Recommends: gmsh
Breaks: gmsh (<< 2.6.0.dfsg-3)
Replaces: gmsh (<< 2.6.0.dfsg-3)
Description: Three-dimensional finite element mesh generator. Development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development files.

Package: libgmsh2v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Pre-Depends: ${misc:Pre-Depends}
Breaks: libgmsh2
Replaces: libgmsh2
Description: Three-dimensional finite element mesh generator. Shared library
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains a shared library.

Package: libjava-gmsh2
Architecture: any
Multi-Arch: foreign
Section: java
Depends: libgmsh2v5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Pre-Depends: ${misc:Pre-Depends}
Breaks: libgmsh-dev (<< 2.9.3)
Replaces: libgmsh-dev (<< 2.9.3)
Description: Three-dimensional finite element mesh generator. Java wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Java wrappers for gmsh

Package: python-gmsh
Architecture: any
Multi-Arch: foreign
Section: python
Depends: libgmsh2v5 (= ${binary:Version}),
         python (<< 2.8),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator. Python wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Python wrapper for gmsh

## gmsh 2.14.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -94,7 +94,7 @@
 
 set(GMSH_MAJOR_VERSION 2)
 set(GMSH_MINOR_VERSION 14)
-set(GMSH_PATCH_VERSION 0)
+set(GMSH_PATCH_VERSION 1)
 set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")
 
 set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
@@ -109,7 +109,7 @@
     Common/OS.h Common/StringUtils.h Common/OpenFile.h
     Common/onelab.h Common/GmshSocket.h Common/onelabUtils.h Common/Options.h
   Numeric/Numeric.h Numeric/GaussIntegration.h Numeric/polynomialBasis.h
-    Numeric/JacobianBasis.h Numeric/MetricBasis.h Numeric/bezierBasis.h Numeric/fullMatrix.h
+    Numeric/JacobianBasis.h Numeric/bezierBasis.h Numeric/fullMatrix.h
     Numeric/FuncSpaceData.h
     Numeric/simpleFunction.h Numeric/cartesian.h Numeric/ElementType.h
     Numeric/BasisFactory.h Numeric/CondNumBasis.h
@@ -226,3 +226,5 @@
     # symbols; just trim the .def file to keep the ones you need
     set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
   endif(ENABLE_BUILD_DYNAMIC OR ENABLE_BUILD_SHARED)
+endif(MSVC)
+

=== Fltk/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  FlGui.cpp
    graphicWindow.cpp
      openglWindow.cpp
    optionWindow.cpp
      colorbarWindow.cpp
    drawContextFltkCairo.cpp
    drawContextFltkStringTexture.cpp
    gamepadWindow.cpp
    fieldWindow.cpp
    pluginWindow.cpp
    statisticsWindow.cpp
    visibilityWindow.cpp
    highOrderToolsWindow.cpp
    clippingWindow.cpp
    manipWindow.cpp
    contextWindow.cpp
    helpWindow.cpp
    fileDialogs.cpp
    extraDialogs.cpp
    projectionEditor.cpp
    classificationEditor.cpp
    partitionDialog.cpp
    inputValue.cpp inputRegion.cpp
    viewButton.cpp solverButton.cpp
    Navigator.cpp
    onelabGroup.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Fltk "${SRC};${HDR}")

=== Geo/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   ACISEdge.cpp
   ACISFace.cpp
   GModel.cpp
+  GModelCreateTopologyFromMesh.cpp
     GModelVertexArrays.cpp
     GModelFactory.cpp
     GModelIO_GEO.cpp GModelIO_ACIS.cpp GModelIO_OCC.cpp GModelIO_TOCHNOG.cpp

=== Mesh/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
   meshGRegionBoundaryRecovery.cpp
   delaunay3d.cpp
   delaunay_refinement.cpp
   Generator.cpp
    meshGEdge.cpp 
      meshGEdgeExtruded.cpp
    meshGFace.cpp 
    meshGFaceElliptic.cpp
      meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
      meshGFaceBamg.cpp meshGFaceBDS.cpp meshGFaceDelaunayInsertion.cpp 
      meshGFaceLloyd.cpp meshGFaceOptimize.cpp 
     meshGFaceQuadrilateralize.cpp 
    meshGRegion.cpp 
    meshDiscreteRegion.cpp 
      meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp 
      meshGRegionExtruded.cpp  meshGRegionCarveHole.cpp 
      meshGRegionLocalMeshMod.cpp meshGRegionMMG3D.cpp
meshGRegionRelocateVertex.cpp
    meshMetric.cpp
    BackgroundMeshTools.cpp 
    BackgroundMesh.cpp 
    BGMBase.cpp 
    BackgroundMesh2D.cpp 
    BackgroundMesh3D.cpp 
    BackgroundMeshManager.cpp 
    pointInsertionRTreeTools.cpp 
    pointInsertion.cpp 
    qualityMeasures.cpp qualityMeasuresJacobian.cpp
    BoundaryLayers.cpp 
    BDS.cpp 
    HighOrder.cpp 
    meshPartition.cpp
    meshRefine.cpp
    multiscalePartition.cpp
    QuadTriUtils.cpp
      QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
    simple3D.cpp ThinLayer.cpp
  DivideAndConquer.cpp
    Voronoi3D.cpp
    Levy3D.cpp
    periodical.cpp
    directions3D.cpp
    filterElements.cpp
    yamakawa.cpp
    Field.cpp
    CenterlineField.cpp
    surfaceFiller.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Mesh "${SRC};${HDR}")

=== Numeric/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Numeric.cpp
    fullMatrix.cpp
  BasisFactory.cpp
    FuncSpaceData.cpp
  discreteFrechetDistance.cpp
  miniBasis.cpp
    nodalBasis.cpp
	polynomialBasis.cpp
	pyramidalBasis.cpp
	BergotBasis.cpp
	jacobiPolynomials.cpp
	legendrePolynomials.cpp
    bezierBasis.cpp
    JacobianBasis.cpp
    CondNumBasis.cpp
    pointsGenerators.cpp
  ElementType.cpp
  GaussIntegration.cpp
    GaussQuadratureLin.cpp
    GaussQuadratureTri.cpp
    GaussQuadratureQuad.cpp
    GaussQuadratureTet.cpp
    GaussQuadratureHex.cpp
    GaussQuadraturePri.cpp
    GaussQuadraturePyr.cpp
    GaussLegendreSimplex.cpp
  GaussJacobi1D.cpp
  HilbertCurve.cpp
 robustPredicates.cpp
 decasteljau.cpp
  mathEvaluator.cpp
  Iso.cpp
  approximationError.cpp
  ConjugateGradients.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Numeric "${SRC};${HDR}")

=== Post/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  PView.cpp PViewIO.cpp PViewVertexArrays.cpp
    PViewData.cpp PViewDataIO.cpp PViewX3D.cpp
      PViewDataList.cpp PViewDataListIO.cpp
      PViewDataGModel.cpp PViewDataGModelIO.cpp
    PViewOptions.cpp
    PViewFactory.cpp
    PViewAsSimpleFunction.cpp
  adaptiveData.cpp shapeFunctions.cpp
  OctreePost.cpp
  ColorTable.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Post "${SRC};${HDR}")

=== contrib/Netgen/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(gen libsrc/general)
set(lin libsrc/linalg)
set(gpr libsrc/gprim)
set(mes libsrc/meshing)
set(opt libsrc/opti)

set(SRC
  nglib_gmsh.cpp
  ${gen}/array.cpp ${gen}/bitarray.cpp ${gen}/hashtabl.cpp 
    ${gen}/symbolta.cpp ${gen}/table.cpp ${gen}/flags.cpp
    ${gen}/spbita2d.cpp ${gen}/seti.cpp ${gen}/optmem.cpp ${gen}/sort.cpp 
    ${gen}/mystring.cpp ${gen}/parthreads.cpp
    ${gen}/dynamicmem.cpp ${gen}/ngexception.cpp ${gen}/profiler.cpp
  ${lin}/densemat.cpp ${lin}/polynomial.cpp ${lin}/bfgs.cpp
    ${lin}/linopt.cpp ${lin}/linsearch.cpp
  ${gpr}/geom2d.cpp ${gpr}/geom3d.cpp ${gpr}/geomtest3d.cpp ${gpr}/adtree.cpp 
    ${gpr}/transform3d.cpp ${gpr}/geomfuncs.cpp
  ${mes}/meshclass.cpp ${mes}/adfront2.cpp ${mes}/adfront3.cpp 
    ${mes}/geomsearch.cpp ${mes}/global.cpp ${mes}/meshtool.cpp
    ${mes}/netrule2.cpp ${mes}/netrule3.cpp ${mes}/parser2.cpp 
    ${mes}/parser3.cpp ${mes}/ruler2.cpp ${mes}/ruler3.cpp
    ${mes}/meshtype.cpp ${mes}/improve2.cpp ${mes}/smoothing2.5.cpp
    ${mes}/smoothing2.cpp ${mes}/improve3.cpp ${mes}/smoothing3.cpp
    ${mes}/improve2gen.cpp ${mes}/meshing2.cpp ${mes}/meshing3.cpp
    ${mes}/localh.cpp ${mes}/delaunay.cpp ${mes}/topology.cpp 
    ${mes}/clusters.cpp ${mes}/tetrarls.cpp ${mes}/triarls.cpp 
    ${mes}/quadrls.cpp ${mes}/meshfunc.cpp 
    ${mes}/refine.cpp ${mes}/bisect.cpp ${mes}/boundarylayer.cpp 
    ${mes}/specials.cpp ${mes}/msghandler.cpp ${mes}/pyramidrls.cpp
    ${mes}/pyramid2rls.cpp ${mes}/prism2rls.cpp ${mes}/curvedelems.cpp
    ${mes}/validate.cpp ${mes}/basegeom.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/Netgen "${SRC};${HDR}")

=== contrib/mmg3d/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
./build/sources/mmg3d.c
./build/sources/inout.c
./build/sources/mmg3dlib.c
./build/sources/scalem.c
./build/sources/outqua.c
./build/sources/baryct.c
./build/sources/zaldy.c
./build/sources/typelt.c
./build/sources/swaptet.c
./build/sources/swapar.c
./build/sources/swap710.c
./build/sources/swap68.c
./build/sources/swap56.c
./build/sources/swap44.c
./build/sources/swap23.c
./build/sources/spledg.c
./build/sources/solmap.c
./build/sources/simu710.c
./build/sources/simu68.c
./build/sources/simu56.c
./build/sources/simu44.c
./build/sources/simu23.c
./build/sources/ratio.c
./build/sources/queue.c
./build/sources/quality.c
./build/sources/pattern.c
./build/sources/opttyp.c
./build/sources/opttet.c
./build/sources/optra4.c
./build/sources/optlentet.c
./build/sources/optlen.c
./build/sources/optlap.c
./build/sources/optcte.c
./build/sources/optcoq.c
./build/sources/optbdry.c
./build/sources/movevertex.c
./build/sources/mmg3d9.c
./build/sources/delaunay.c
./build/sources/hash.c
./build/sources/length.c
./build/sources/mmg3d4.c
./build/sources/mmg3d1.c
./build/sources/memory.c
./build/sources/matrix.c
./build/sources/locate.c
./build/sources/librnbg.c
./build/sources/heap.c
./build/sources/eigenv.c
./build/sources/cutelt.c
./build/sources/coquil.c
./build/sources/colpoi.c
./build/sources/chrono.c
./build/sources/chkmsh.c
./build/sources/cenrad.c
./build/sources/cendel.c
./build/sources/bucket.c
./build/sources/boulep.c
./build/sources/analarcutting.c
./build/sources/analar.c
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/mmg3d "${SRC};${HDR}")

=== contrib/mpeg_encode/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2016 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  bframe.cpp
  bsearch.cpp
  frame.cpp
  huff.cpp
  jrevdct.cpp
  param.cpp
  postdct.cpp
  rate.cpp
  specifics.cpp
  bitio.cpp
  combine.cpp
  frametype.cpp
  iframe.cpp
  libpnmrw.cpp
  mfwddct.cpp
  mpeg.cpp
  psearch.cpp
  readframe.cpp
  subsample.cpp
  block.cpp
  fsize.cpp
  nojpeg.cpp
  noparallel.cpp
  main.cpp
  mheaders.cpp
  opts.cpp
  pframe.cpp
  rgbtoycc.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} headers/*.h)
append_gmsh_src(contrib/mpeg_encode "${SRC};${HDR}")

=== debian/changelog ===
gmsh (2.14.1+dfsg1-1) unstable; urgency=medium

  * [4da51dc] Refresh patches.
  * [6a5fb12] New upstream version 2.14.1+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Nov 2016 07:20:52 +0100
